org.apache.ignite.internal.visor.node

## Class VisorGridConfiguration

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorDataTransferObject
  - - org.apache.ignite.internal.visor.node.VisorGridConfiguration

All Implemented Interfaces:
  Externalizable, Serializable

    public class VisorGridConfiguration
    extends VisorDataTransferObject

Data transfer object for node configuration data.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`V1, V2`

### Constructor Summary

Constructors
Constructor and Description
`VisorGridConfiguration()` Default constructor.
`VisorGridConfiguration(IgniteEx ignite)` Create data transfer object with node configuration data.

### Method Summary

Methods
`VisorAtomicConfiguration` `getAtomic()`
`VisorBasicConfiguration` `getBasic()`
`VisorBinaryConfiguration` `getBinaryConfiguration()`
`List<VisorCacheKeyConfiguration>` `getCacheKeyConfigurations()`
`String` `getCacheStoreSessionListenerFactories()`
`Map<String,String>` `getEnv()`
`VisorExecutorServiceConfiguration` `getExecutorService()`
`VisorHadoopConfiguration` `getHadoopConfiguration()`
`List<VisorIgfsConfiguration>` `getIgfss()`
`int[]` `getIncludeEventTypes()`
`String` `getIncludeProperties()`
`VisorLifecycleConfiguration` `getLifecycle()`
`VisorMemoryConfiguration` `getMemoryConfiguration()`
`VisorMetricsConfiguration` `getMetrics()`
`VisorPeerToPeerConfiguration` `getP2p()`
`VisorPersistentStoreConfiguration` `getPersistentStoreConfiguration()`
`VisorRestConfiguration` `getRest()`
`VisorSegmentationConfiguration` `getSegmentation()`
`List<VisorServiceConfiguration>` `getServiceConfigurations()`
`VisorSpisConfiguration` `getSpis()`
`VisorSqlConnectorConfiguration` `getSqlConnectorConfiguration()`
`Properties` `getSystemProperties()`
`VisorTransactionConfiguration` `getTransaction()`
`Map<String,?>` `getUserAttributes()`
`String` `getWarmupClosure()`
`protected void` `readExternalData(byte protoVer, ObjectInput in)` Load object's specific data content.
`String` `toString()`
`protected void` `writeExternalData(ObjectOutput out)` Save object's specific data content.

### Methods inherited from class org.apache.ignite.internal.visor.VisorDataTransferObject

`getProtocolVersion, readExternal, toList, toSet, writeExternal`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### VisorGridConfiguration

    public VisorGridConfiguration()

Default constructor.

#### VisorGridConfiguration

    public VisorGridConfiguration(IgniteEx ignite)

Create data transfer object with node configuration data.

Parameters:
  `ignite` - Grid.

### Method Detail

#### getBasic

    public VisorBasicConfiguration getBasic()

Returns:
  Basic.

#### getMetrics

    public VisorMetricsConfiguration getMetrics()

Returns:
  Metrics.

#### getSpis

    public VisorSpisConfiguration getSpis()

Returns:
  SPIs.

#### getP2p

    public VisorPeerToPeerConfiguration getP2p()

Returns:
  P2P.

#### getLifecycle

    public VisorLifecycleConfiguration getLifecycle()

Returns:
  Lifecycle.

#### getExecutorService

    public VisorExecutorServiceConfiguration getExecutorService()

Returns:
  Executors service configuration.

#### getSegmentation

    public VisorSegmentationConfiguration getSegmentation()

Returns:
  Segmentation.

#### getIncludeProperties

    public String getIncludeProperties()

Returns:
  Include properties.

#### getIncludeEventTypes

    public int[] getIncludeEventTypes()

Returns:
  Include events types.

#### getRest

    public VisorRestConfiguration getRest()

Returns:
  Rest.

#### getUserAttributes

    public Map<String,?> getUserAttributes()

Returns:
  User attributes.

#### getIgfss

    public List<VisorIgfsConfiguration> getIgfss()

Returns:
  Igfss.

#### getEnv

    public Map<String,String> getEnv()

Returns:
  Environment.

#### getSystemProperties

    public Properties getSystemProperties()

Returns:
  System properties.

#### getAtomic

    public VisorAtomicConfiguration getAtomic()

Returns:
  Configuration of atomic data structures.

#### getTransaction

    public VisorTransactionConfiguration getTransaction()

Returns:
  Transactions configuration.

#### getMemoryConfiguration

    public VisorMemoryConfiguration getMemoryConfiguration()

Returns:
  Memory configuration.

#### getPersistentStoreConfiguration

    public VisorPersistentStoreConfiguration getPersistentStoreConfiguration()

Returns:
  Persistent store configuration.

#### getCacheStoreSessionListenerFactories

    public String getCacheStoreSessionListenerFactories()

Returns:
  Cache store session listener factories.

#### getWarmupClosure

    public String getWarmupClosure()

Returns:
  Warmup closure to execute.

#### getBinaryConfiguration

    public VisorBinaryConfiguration getBinaryConfiguration()

Returns:
  Binary configuration.

#### getCacheKeyConfigurations

    public List<VisorCacheKeyConfiguration> getCacheKeyConfigurations()

Returns:
  List of cache key configurations.

#### getHadoopConfiguration

    public VisorHadoopConfiguration getHadoopConfiguration()

Returns:
  Hadoop configuration.

#### getSqlConnectorConfiguration

    public VisorSqlConnectorConfiguration getSqlConnectorConfiguration()

Returns:
  SQL connector configuration.

#### getServiceConfigurations

    public List<VisorServiceConfiguration> getServiceConfigurations()

Returns:
  List of service configurations

#### writeExternalData

    protected void writeExternalData(ObjectOutput out)
                              throws IOException

Save object's specific data content.

Specified by:
  `writeExternalData` in class `VisorDataTransferObject`
Parameters:
  `out` - Output object to write data content.
Throws:
  `IOException` - If I/O errors occur.

#### readExternalData

    protected void readExternalData(byte protoVer,
                        ObjectInput in)
                             throws IOException,
                                    ClassNotFoundException

Load object's specific data content.

Specified by:
  `readExternalData` in class `VisorDataTransferObject`
Parameters:
  `protoVer` - Input object version.
  `in` - Input object to load data content.
Throws:
  `IOException` - If I/O errors occur.
  `ClassNotFoundException` - If the class for an object being restored cannot be found.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017